/api/v1/authentication
This endpoint is used to authenticate a voice. It receives an audio file and a voice template, and returns a boolean value indicating whether the voice belongs to the same person as the one in the voice template, as well as a probability indicating the similarity between both voices.
Authentication request body
Raw audio buffer in WAV, OPUS/OGG, MP3 or AAC format, encoded in base64 RFC4648. The audio may or may not be encrypted.
/9j/4AAQSkZJRgABAQEAtAC0AAD...Biometric template buffer, obtained from Enrollment(), encrypted and encoded in base64 RFC4648.
BAEBGgEroySjGz2C9iIki35J/FA...If true, a liveness check will be performed
falseExample: falseIf true, a quality check will be performed
trueExample: trueThreshold for liveness detection. If the liveness probability is below this value, the audio is considered invalid.
0.5Example: 0.5Minimum SNR in dB for the audio to be considered valid.
8Example: 8Minimum audio duration in milliseconds for it to be considered valid.
1000Example: 1000Minimum relative speech length (speech length relative to the total audio duration).
0Example: 0Maximum score allowed by the multiple speakers detector.
1Example: 1Tokenized data to invoke the Api Tracking service after the operation, encoded in base64.
BQABAQGkJhiCqQjKYUZyDM...The result of the authentication. The *_detected fields are only present when the audio quality check fails.
Authentication response
Result of the operation.
3Possible values: Indicates whether the audio matches the template
trueLiveness probability
0.9Matching probability
0.9SNR in dB detected in the audio.
8Speech duration in milliseconds detected in the audio.
1000Relative speech length detected in the audio.
0.5Multiple speakers score detected in the audio.
1Status returned by the Api Tracking service, or -1 if tracking is not required.
201Message returned by the Api Tracking service, or empty if tracking is not required.
Authentication: OkThe request contains incorrect parameters.
An error occurred while calling the Voice-SDK backend.
POST /api/v1/authentication HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 329
{
"audio": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
"template": "BAEBGgEroySjGz2C9iIki35J/FA...",
"check_liveness": false,
"check_quality": true,
"liveness_threshold": 0.5,
"minimum_snr_db": 8,
"minimum_speech_duration_ms": 1000,
"minimum_speech_relative_length": 0,
"maximum_multiple_speakers_detector_score": 1,
"extra_data": "BQABAQGkJhiCqQjKYUZyDM..."
}{
"operation_result": 3,
"match": true,
"liveness_score": 0.9,
"matching_score": 0.9,
"snr_db_detected": 8,
"speech_length_ms_detected": 1000,
"speech_relative_length_detected": 0.5,
"multiple_speakers_score_detected": 1,
"tracking_status": 201,
"tracking_message": "Authentication: Ok"
}Last updated